<div>
  <h2 id="page-heading" data-cy="UtilisateurHeading">
    <span jhiTranslate="blogApp.utilisateur.home.title">Utilisateurs</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="blogApp.utilisateur.home.refreshListLabel">Actualiser la liste</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-utilisateur"
        [routerLink]="['/utilisateur/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="blogApp.utilisateur.home.createLabel"> Créer un nouveau Utilisateur </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="utilisateurs?.length === 0">
    <span jhiTranslate="blogApp.utilisateur.home.notFound">Aucun Utilisateur trouvé</span>
  </div>

  <div class="table-responsive table-entities" id="entities" *ngIf="utilisateurs && utilisateurs.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
          <th scope="col" jhiSortBy="role">
            <div class="d-flex">
              <span jhiTranslate="blogApp.utilisateur.role">Role</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="id">
            <div class="d-flex">
              <span jhiTranslate="blogApp.utilisateur.id">Id</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="name">
            <div class="d-flex">
              <span jhiTranslate="blogApp.utilisateur.name">Name</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="adresse">
            <div class="d-flex">
              <span jhiTranslate="blogApp.utilisateur.adresse">Adresse</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="telephone">
            <div class="d-flex">
              <span jhiTranslate="blogApp.utilisateur.telephone">Telephone</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="mail">
            <div class="d-flex">
              <span jhiTranslate="blogApp.utilisateur.mail">Mail</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="cooperative.id">
            <div class="d-flex">
              <span jhiTranslate="blogApp.utilisateur.cooperative">Cooperative</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let utilisateur of utilisateurs; trackBy: trackId" data-cy="entityTable">
          <td jhiTranslate="{{ 'blogApp.Role.' + utilisateur.role }}">{{ utilisateur.role }}</td>
          <td>
            <a [routerLink]="['/utilisateur', utilisateur.id, 'view']">{{ utilisateur.id }}</a>
          </td>
          <td>{{ utilisateur.name }}</td>
          <td>{{ utilisateur.adresse }}</td>
          <td>{{ utilisateur.telephone }}</td>
          <td>{{ utilisateur.mail }}</td>
          <td>
            <span *ngFor="let cooperative of utilisateur.cooperatives; let last = last">
              <a class="form-control-static" [routerLink]="['/cooperative', cooperative.id, 'view']">{{ cooperative.id }}</a
              >{{ last ? '' : ', ' }}
            </span>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/utilisateur', utilisateur.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Voir</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/utilisateur', utilisateur.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Editer</span>
              </button>

              <button type="submit" (click)="delete(utilisateur)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Supprimer</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
